Subject: [mpls] FW: New Version Notification for draft-farrel-mpls-sfc-04.txt

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 2 Mar 2018 19:30:47 -0000

Hi,

This revision has two changes resulting from the MPLS-RT review.

A new section 8: "A Note on Service Function Capabilities and SFC Proxies" to
describe how non-MPLS SFIs need proxies just like non-NSH SFIs do.

A new paragraph at the end of section 11 (before 11.1) to note the limitation
that per-packet metadata cannot be carried.

Thanks to the reviewers,
Adrian

> A new version of I-D, draft-farrel-mpls-sfc-04.txt
> has been successfully submitted by Adrian Farrel and posted to the
> IETF repository.
> 
> Name:           draft-farrel-mpls-sfc
> Revision:       04
> Title:          An MPLS-Based Forwarding Plane for Service Function Chaining
> Document date:  2018-03-02
> Group:          Individual Submission
> Pages:          24
> URL:             https://datatracker.ietf.org/doc/draft-farrel-mpls-sfc/
> 
> Abstract:
>    Service Function Chaining (SFC) is the process of directing packets
>    through a network so that they can be acted on by an ordered set of
>    abstract service functions before being delivered to the intended
>    destination.  An architecture for SFC is defined in RFC7665.
> 
>    The Network Service Header (NSH) can be inserted into packets to
>    steer them along a specific path to realize a Service Function Chain.
> 
>    Multiprotocol Label Switching (MPLS) is a widely deployed forwarding
>    technology that uses labels to identify the forwarding actions to be
>    taken at each hop through a network.  Segment Routing is a mechanism
>    that provides a source routing paradigm for steering packets in an
>    MPLS network.
> 
>    This document describes how Service Function Chaining can be achieved
>    in an MPLS network by means of a logical representation of the NSH in
>    an MPLS label stack.